- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# OpenMesh::Decimater::DecimaterT< MeshT > Class Template Reference

Decimater framework. More...

`#include <DecimaterT.hh>`

List of all members.

## Public Member Functions
| DecimaterT (Mesh &_mesh)
| Constructor.
| ~DecimaterT ()
| Destructor.
bool | initialize ()
| Initialize decimater and decimating modules.
bool | is_initialized () const
| Returns whether decimater has been sucessfully initialized.
void | emit_progress (bool _b)
| Should the decimation process emit progress messages?
void | info (std::ostream &_os)
| Print inforation abount modules to _os.
Mesh & | mesh ()
| access mesh. used in modules.
template<typename ModuleT>
bool | add_binary (ModHandleT< ModuleT > &_mh)
| add binary module to decimater
template<typename ModuleT>
bool | add_priority (ModHandleT< ModuleT > &_mh)
| add priority module to decimater
template<typename ModuleT>
bool | remove (ModHandleT< ModuleT > &_mh)
| remove module from decimater
template<typename Module>
Module & | module (ModHandleT< Module > &_mh)
| get module referenced by handle _mh
size_t | decimate (size_t _n_collapses=0)
| Decimate (perform _n_collapses collapses).
size_t | decimate_to (size_t _n_vertices=0, size_t _n_faces=0)
| Decimate to target complexity, returns number of collapses.
## Classes
class | HeapInterface
| Heap interface. More...

## Detailed Description

### template<typename MeshT>
class OpenMesh::Decimater::DecimaterT< MeshT >

Decimater framework.

See also:
  BaseModT, Mesh Decimation Framework

## Member Function Documentation

template<class Mesh>

bool OpenMesh::Decimater::DecimaterT< Mesh >::initialize | ( |  | ) |

Initialize decimater and decimating modules.

Return values: true ok false No ore more than one non-binary module exist. In that case the decimater is uninitialized!

template<typename MeshT>

void OpenMesh::Decimater::DecimaterT< MeshT >::emit_progress | ( | bool | _b | ) | `[inline]`

Should the decimation process emit progress messages?

See also:
  ProgressManager

template<typename MeshT>

size_t OpenMesh::Decimater::DecimaterT< MeshT >::decimate | ( | size_t | _n_collapses = `0` | ) | `[inline]`

Decimate (perform _n_collapses collapses).

Return number of performed collapses. If _n_collapses is not given reduce as much as possible

The documentation for this class was generated from the following files:

- Tools/Decimater/DecimaterT.hh
- Tools/Decimater/DecimaterT.cc